Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2486)
+++ admin/post.php	(revision 2542)
@@ -77,9 +77,9 @@
 {
 	$page_title = __('Edit entry');
-	
+
 	$params['post_id'] = $_REQUEST['id'];
-	
+
 	$post = $core->blog->getPosts($params);
-	
+
 	if ($post->isEmpty())
 	{
@@ -106,11 +106,11 @@
 		$post_open_comment = (boolean) $post->post_open_comment;
 		$post_open_tb = (boolean) $post->post_open_tb;
-		
+
 		$can_edit_post = $post->isEditable();
 		$can_delete= $post->isDeletable();
-		
+
 		$next_rs = $core->blog->getNextPost($post,1);
 		$prev_rs = $core->blog->getNextPost($post,-1);
-		
+
 		if ($next_rs !== null) {
 			$next_link = sprintf($post_link,$next_rs->post_id,
@@ -119,5 +119,5 @@
 				html::escapeHTML($next_rs->post_title),$next_rs->post_id);
 		}
-		
+
 		if ($prev_rs !== null) {
 			$prev_link = sprintf($post_link,$prev_rs->post_id,
@@ -126,5 +126,5 @@
 				html::escapeHTML($prev_rs->post_title),$prev_rs->post_id);
 		}
-		
+
 		try {
 			$core->media = new dcMedia($core);
@@ -134,5 +134,5 @@
 
 		# Sanitize trackbacks excerpt
-		$tb_excerpt = empty($_POST['tb_excerpt']) ? 
+		$tb_excerpt = empty($_POST['tb_excerpt']) ?
 			$post_excerpt_xhtml.' '.$post_content_xhtml :
 			$_POST['tb_excerpt'];
@@ -146,5 +146,5 @@
 } else {
 	$anchor = 'comments';
-}	
+}
 
 $comments_actions_page = new dcCommentsActionsPage($core,'post.php',array('id' => $post_id, '_ANCHOR'=>$anchor,'section' => $anchor));
@@ -162,14 +162,15 @@
 		$tb_urls = str_replace("\r", '', $tb_urls);
 		$tb_post_title = html::escapeHTML(trim(html::clean($post_title)));
-		
+		$tb_post_url = $post->getURL();
+
 		foreach (explode("\n", $tb_urls) as $tb_url)
 		{
 			try {
-				$TB->ping($tb_url, $post_id, $tb_post_title, $tb_excerpt, $post_url);
+				$TB->ping($tb_url, $post_id, $tb_post_title, $tb_excerpt, $tb_post_url);
 			} catch (Exception $e) {
 				$core->error->add($e->getMessage());
 			}
 		}
-		
+
 		if (!$core->error->flag()) {
 			dcPage::addSuccessNotice(__('All pings sent.'));
@@ -185,13 +186,13 @@
 	$post_excerpt = $_POST['post_excerpt'];
 	$post_content = $_POST['post_content'];
-	
+
 	$post_title = $_POST['post_title'];
-	
+
 	$cat_id = (integer) $_POST['cat_id'];
-	
+
 	if (isset($_POST['post_status'])) {
 		$post_status = (integer) $_POST['post_status'];
 	}
-	
+
 	if (empty($_POST['post_dt'])) {
 		$post_dt = '';
@@ -211,5 +212,5 @@
 		}
 	}
-	
+
 	$post_open_comment = !empty($_POST['post_open_comment']);
 	$post_open_tb = !empty($_POST['post_open_tb']);
@@ -217,11 +218,11 @@
 	$post_lang = $_POST['post_lang'];
 	$post_password = !empty($_POST['post_password']) ? $_POST['post_password'] : null;
-	
+
 	$post_notes = $_POST['post_notes'];
-	
+
 	if (isset($_POST['post_url'])) {
 		$post_url = $_POST['post_url'];
 	}
-	
+
 	$core->blog->setPostContent(
 		$post_id,$post_format,$post_lang,
@@ -248,22 +249,22 @@
 	# Create category
 	if (!empty($_POST['new_cat_title']) && $core->auth->check('categories', $core->blog->id)) {
-	
+
 		$cur_cat = $core->con->openCursor($core->prefix.'category');
 		$cur_cat->cat_title = $_POST['new_cat_title'];
 		$cur_cat->cat_url = '';
-		
+
 		$parent_cat = !empty($_POST['new_cat_parent']) ? $_POST['new_cat_parent'] : '';
-		
+
 		# --BEHAVIOR-- adminBeforeCategoryCreate
 		$core->callBehavior('adminBeforeCategoryCreate', $cur_cat);
-		
+
 		$cat_id = $core->blog->addCategory($cur_cat, (integer) $parent_cat);
-		
+
 		# --BEHAVIOR-- adminAfterCategoryCreate
 		$core->callBehavior('adminAfterCategoryCreate', $cur_cat, $cat_id);
 	}
-	
+
 	$cur = $core->con->openCursor($core->prefix.'post');
-	
+
 	$cur->post_title = $post_title;
 	$cur->cat_id = ($cat_id ? $cat_id : null);
@@ -282,9 +283,9 @@
 	$cur->post_open_comment = (integer) $post_open_comment;
 	$cur->post_open_tb = (integer) $post_open_tb;
-	
+
 	if (isset($_POST['post_url'])) {
 		$cur->post_url = $post_url;
 	}
-	
+
 	# Update post
 	if ($post_id)
@@ -294,7 +295,7 @@
 			# --BEHAVIOR-- adminBeforePostUpdate
 			$core->callBehavior('adminBeforePostUpdate',$cur,$post_id);
-			
+
 			$core->blog->updPost($post_id,$cur);
-			
+
 			# --BEHAVIOR-- adminAfterPostUpdate
 			$core->callBehavior('adminAfterPostUpdate',$cur,$post_id);
@@ -310,12 +311,12 @@
 	{
 		$cur->user_id = $core->auth->userID();
-		
+
 		try
 		{
 			# --BEHAVIOR-- adminBeforePostCreate
 			$core->callBehavior('adminBeforePostCreate',$cur);
-			
+
 			$return_id = $core->blog->addPost($cur);
-			
+
 			# --BEHAVIOR-- adminAfterPostCreate
 			$core->callBehavior('adminAfterPostCreate',$cur,$return_id);
@@ -417,5 +418,5 @@
 	$post_content = $post_content_xhtml;
 	$post_format = 'xhtml';
-	
+
 	dcPage::message(__('Don\'t forget to validate your XHTML conversion by saving your post.'));
 }
@@ -430,8 +431,8 @@
 	if ($next_link && $prev_link) { echo ' | '; }
 	if ($next_link) { echo $next_link; }
-	
+
 	# --BEHAVIOR-- adminPostNavLinks
 	$core->callBehavior('adminPostNavLinks',isset($post) ? $post : null);
-	
+
 	echo '</p>';
 }
@@ -451,9 +452,9 @@
 			'title' => __('Status'),
 			'items' => array(
-				'post_status' => 
+				'post_status' =>
 					'<p class="entry-status"><label for="post_status">'.__('Entry status').' '.$img_status.'</label>'.
 					form::combo('post_status',$status_combo,$post_status,'maximal','',!$can_publish).
 					'</p>',
-				'post_dt' => 
+				'post_dt' =>
 					'<p><label for="post_dt">'.__('Publication date and hour').'</label>'.
 					form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).
@@ -474,5 +475,5 @@
 			'title' => __('Filing'),
 			'items' => array(
-				'post_selected' => 
+				'post_selected' =>
 					'<p><label for="post_selected" class="classic">'.
 					form::checkbox('post_selected',1,$post_selected).' '.
@@ -504,9 +505,9 @@
 					form::checkbox('post_open_comment',1,$post_open_comment).' '.
 					__('Accept comments').'</label></p>'.
-					($core->blog->settings->system->allow_comments ? 
-						(isContributionAllowed($post_id,strtotime($post_dt),true) ? 
+					($core->blog->settings->system->allow_comments ?
+						(isContributionAllowed($post_id,strtotime($post_dt),true) ?
 							'' :
 							'<p class="form-note warn">'.
-							__('Warning: Comments are not more accepted for this entry.').'</p>') : 
+							__('Warning: Comments are not more accepted for this entry.').'</p>') :
 						'<p class="form-note warn">'.
 						__('Comments are not accepted on this blog so far.').'</p>').
@@ -514,9 +515,9 @@
 					form::checkbox('post_open_tb',1,$post_open_tb).' '.
 					__('Accept trackbacks').'</label></p>'.
-					($core->blog->settings->system->allow_trackbacks ? 
-						(isContributionAllowed($post_id,strtotime($post_dt),false) ? 
+					($core->blog->settings->system->allow_trackbacks ?
+						(isContributionAllowed($post_id,strtotime($post_dt),false) ?
 							'' :
 							'<p class="form-note warn">'.
-							__('Warning: Trackbacks are not more accepted for this entry.').'</p>') : 
+							__('Warning: Trackbacks are not more accepted for this entry.').'</p>') :
 						'<p class="form-note warn">'.__('Trackbacks are not accepted on this blog so far.').'</p>').
 					'</div>',
@@ -541,5 +542,5 @@
 			form::field('post_title',20,255,html::escapeHTML($post_title),'maximal').
 			'</p>',
-		
+
 		"post_excerpt" =>
 			'<p class="area" id="excerpt-area"><label for="post_excerpt" class="bold">'.__('Excerpt:').' <span class="form-note">'.
@@ -547,5 +548,5 @@
 			form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt)).
 			'</p>',
-		
+
 		"post_content" =>
 			'<p class="area" id="content-area"><label class="required bold" '.
@@ -553,5 +554,5 @@
 			form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content)).
 			'</p>',
-		
+
 		"post_notes" =>
 			'<p class="area" id="notes-area"><label for="post_notes" class="bold">'.__('Personal notes:').' <span class="form-note">'.
@@ -561,5 +562,5 @@
 		)
 	);
-	
+
 	# --BEHAVIOR-- adminPostFormItems
 	$core->callBehavior('adminPostFormItems',$main_items,$sidebar_items, isset($post) ? $post : null);
@@ -571,5 +572,5 @@
 
 	echo '<h3 class="out-of-screen-if-js">'.__('Edit post').'</h3>';
-	
+
 	foreach ($main_items as $id => $item) {
 		echo $item;
@@ -578,5 +579,5 @@
 	# --BEHAVIOR-- adminPostForm (may be deprecated)
 	$core->callBehavior('adminPostForm',isset($post) ? $post : null);
-	
+
 	echo
 	'<p class="border-top">'.
@@ -599,10 +600,10 @@
 	$core->formNonce().
 	'</p>';
-	
+
 	echo '</div></div>';		// End #entry-content
 	echo '</div>';		// End #entry-wrapper
 
 	echo '<div id="entry-sidebar">';
-	
+
 	foreach ($sidebar_items as $id => $c) {
 		echo '<div id="'.$id.'" class="sb-box">'.
@@ -613,6 +614,6 @@
 		echo '</div>';
 	}
-	
-	
+
+
 	# --BEHAVIOR-- adminPostFormSidebar (may be deprecated)
 	$core->callBehavior('adminPostFormSidebar',isset($post) ? $post : null);
@@ -620,8 +621,8 @@
 
 	echo '</form>';
-	
+
 	# --BEHAVIOR-- adminPostForm
 	$core->callBehavior('adminPostAfterForm',isset($post) ? $post : null);
-	
+
 	echo '</div>';
 }
@@ -633,18 +634,18 @@
 
 	$params = array('post_id' => $post_id, 'order' => 'comment_dt ASC');
-	
+
 	$comments = $core->blog->getComments(array_merge($params,array('comment_trackback'=>0)));
-		
+
 	echo
 	'<div id="comments" class="clear multi-part" title="'.__('Comments').'">';
-	$combo_action = $comments_actions_page->getCombo();	
+	$combo_action = $comments_actions_page->getCombo();
 	$has_action = !empty($combo_action) && !$comments->isEmpty();
-	echo 
+	echo
 	'<p class="top-add"><a class="button add" href="#comment-form">'.__('Add a comment').'</a></p>';
-	
+
 	if ($has_action) {
 		echo '<form action="post.php" id="form-comments" method="post">';
 	}
-	
+
 	echo '<h3>'.__('Comments').'</h3>';
 	if (!$comments->isEmpty()) {
@@ -653,10 +654,10 @@
 		echo '<p>'.__('No comment').'</p>';
 	}
-	
+
 	if ($has_action) {
 		echo
 		'<div class="two-cols">'.
 		'<p class="col checkboxes-helpers"></p>'.
-		
+
 		'<p class="col right"><label for="action" class="classic">'.__('Selected comments action:').'</label> '.
 		form::combo('action',$combo_action).
@@ -674,5 +675,5 @@
 	'<div class="fieldset clear">'.
 	'<h3>'.__('Add a comment').'</h3>'.
-	
+
 	'<form action="comment.php" method="post" id="comment-form">'.
 	'<div class="constrained">'.
@@ -680,18 +681,18 @@
 	form::field('comment_author',30,255,html::escapeHTML($core->auth->getInfo('user_cn'))).
 	'</p>'.
-	
+
 	'<p><label for="comment_email">'.__('Email:').'</label>'.
 	form::field('comment_email',30,255,html::escapeHTML($core->auth->getInfo('user_email'))).
 	'</p>'.
-	
+
 	'<p><label for="comment_site">'.__('Web site:').'</label>'.
 	form::field('comment_site',30,255,html::escapeHTML($core->auth->getInfo('user_url'))).
 	'</p>'.
-	
+
 	'<p class="area"><label for="comment_content" class="required"><abbr title="'.__('Required field').'">*</abbr> '.
 	__('Comment:').'</label> '.
 	form::textarea('comment_content',50,8,html::escapeHTML('')).
 	'</p>'.
-	
+
 	'<p>'.
 	form::hidden('post_id',$post_id).
@@ -712,24 +713,24 @@
 	$params = array('post_id' => $post_id, 'order' => 'comment_dt ASC');
 	$trackbacks = $core->blog->getComments(array_merge($params, array('comment_trackback' => 1)));
-	
+
 	# Actions combo box
-	$combo_action = $comments_actions_page->getCombo();	
+	$combo_action = $comments_actions_page->getCombo();
 	$has_action = !empty($combo_action) && !$trackbacks->isEmpty();
-	
+
 	if (!empty($_GET['tb_auto'])) {
 		$tb_urls = implode("\n", $TB->discover($post_excerpt_xhtml.' '.$post_content_xhtml));
 	}
-	
+
 	# Display tab
 	echo
 	'<div id="trackbacks" class="clear multi-part" title="'.__('Trackbacks').'">';
-	
+
 	# tracbacks actions
 	if ($has_action) {
 		echo '<form action="post.php" id="form-trackbacks" method="post">';
 	}
-	
+
 	echo '<h3>'.__('Trackbacks received').'</h3>';
-	
+
 	if (!$trackbacks->isEmpty()) {
 		showComments($trackbacks, $has_action, true);
@@ -737,10 +738,10 @@
 		echo '<p>'.__('No trackback').'</p>';
 	}
-	
+
 	if ($has_action) {
 		echo
 		'<div class="two-cols">'.
 		'<p class="col checkboxes-helpers"></p>'.
-		
+
 		'<p class="col right"><label for="action" class="classic">'.__('Selected trackbacks action:').'</label> '.
 		form::combo('action', $combo_action).
@@ -752,5 +753,5 @@
 		'</form>';
 	}
-	
+
 	/* Add trackbacks
 	-------------------------------------------------------- */
@@ -772,5 +773,5 @@
 		$core->formNonce().
 		'<input type="submit" name="ping" value="'.__('Ping blogs').'" />'.
-		(empty($_GET['tb_auto']) ? 
+		(empty($_GET['tb_auto']) ?
 			'&nbsp;&nbsp;<a class="button" href="'.
 			'post.php?id='.$post_id.'&amp;tb_auto=1&amp;tb=1'.
@@ -785,5 +786,5 @@
 		{
 			echo '<h3>'.__('Previously sent pings').'</h3>';
-			
+
 			echo '<ul class="nice">';
 			while ($pings->fetch()) {
@@ -810,10 +811,10 @@
 	}
 	if ($com) {
-		if (($core->blog->settings->system->comments_ttl == 0) || 
+		if (($core->blog->settings->system->comments_ttl == 0) ||
 			(time() - $core->blog->settings->system->comments_ttl*86400 < $dt)) {
 			return true;
 		}
 	} else {
-		if (($core->blog->settings->system->trackbacks_ttl == 0) || 
+		if (($core->blog->settings->system->trackbacks_ttl == 0) ||
 			(time() - $core->blog->settings->system->trackbacks_ttl*86400 < $dt)) {
 			return true;
@@ -840,10 +841,10 @@
 			$comments[(integer)$v]=true;
 		}
-	}			
-	
+	}
+
 	while($rs->fetch())
 	{
 		$comment_url = 'comment.php?id='.$rs->comment_id;
-		
+
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
 		switch ($rs->comment_status) {
@@ -861,9 +862,9 @@
 				break;
 		}
-		
+
 		echo
 		'<tr class="line'.($rs->comment_status != 1 ? ' offline' : '').'"'.
 		' id="c'.$rs->comment_id.'">'.
-		
+
 		'<td class="nowrap">'.
 		($has_action ? form::checkbox(array('comments[]'),$rs->comment_id,isset($comments[$rs->comment_id]),'','',0,'title="'.($tb ? __('select this trackback') : __('select this comment')).'"') : '').'</td>'.
@@ -874,8 +875,8 @@
 		'<td class="nowrap status"><a href="'.$comment_url.'">'.
 		'<img src="images/edit-mini.png" alt="" title="'.__('Edit this comment').'" /> '.__('Edit').'</a></td>'.
-		
+
 		'</tr>';
 	}
-	
+
 	echo '</table></div>';
 }
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2496)
+++ admin/preferences.php	(revision 2449)
@@ -47,6 +47,6 @@
 $default_tab = !empty($_GET['tab']) ? html::escapeHTML($_GET['tab']) : 'user-profile';
 
-if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) ||
-	!empty($_GET['replaced']) || !empty($_POST['appendaction']) || !empty($_POST['removeaction']) ||
+if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) || 
+	!empty($_GET['replaced']) || !empty($_POST['appendaction']) || !empty($_POST['removeaction']) || 
 	!empty($_GET['db-updated'])) {
 	$default_tab = 'user-favorites';
@@ -84,11 +84,11 @@
 	{
 		$pwd_check = !empty($_POST['cur_pwd']) && $core->auth->checkPassword(crypt::hmac(DC_MASTER_KEY,$_POST['cur_pwd']));
-
+		
 		if ($core->auth->allowPassChange() && !$pwd_check && $user_email != $_POST['user_email']) {
 			throw new Exception(__('If you want to change your email or password you must provide your current password.'));
 		}
-
+		
 		$cur = $core->con->openCursor($core->prefix.'user');
-
+		
 		$cur->user_name = $user_name = $_POST['user_name'];
 		$cur->user_firstname = $user_firstname = $_POST['user_firstname'];
@@ -100,5 +100,5 @@
 
 		$cur->user_options = new ArrayObject($user_options);
-
+		
 		if ($core->auth->allowPassChange() && !empty($_POST['new_pwd']))
 		{
@@ -106,21 +106,21 @@
 				throw new Exception(__('If you want to change your email or password you must provide your current password.'));
 			}
-
+			
 			if ($_POST['new_pwd'] != $_POST['new_pwd_c']) {
 				throw new Exception(__("Passwords don't match"));
 			}
-
+			
 			$cur->user_pwd = $_POST['new_pwd'];
 		}
-
+		
 		# --BEHAVIOR-- adminBeforeUserUpdate
 		$core->callBehavior('adminBeforeUserProfileUpdate',$cur,$core->auth->userID());
-
+		
 		# Udate user
 		$core->updUser($core->auth->userID(),$cur);
-
+		
 		# --BEHAVIOR-- adminAfterUserUpdate
 		$core->callBehavior('adminAfterUserProfileUpdate',$cur,$core->auth->userID());
-
+		
 		dcPage::addSuccessNotice(__('Personal information has been successfully updated.'));
 
@@ -134,10 +134,10 @@
 
 # Update user options
-if (isset($_POST['user_post_format']))
+if (isset($_POST['user_post_format'])) 
 {
 	try
 	{
 		$cur = $core->con->openCursor($core->prefix.'user');
-
+		
 		$cur->user_name = $user_name;
 		$cur->user_firstname = $user_firstname;
@@ -149,5 +149,5 @@
 
 		$cur->user_post_status = $user_post_status = $_POST['user_post_status'];
-
+		
 		$user_options['edit_size'] = (integer) $_POST['user_edit_size'];
 		if ($user_options['edit_size'] < 1) {
@@ -156,10 +156,10 @@
 		$user_options['post_format'] = $_POST['user_post_format'];
 		$user_options['enable_wysiwyg'] = !empty($_POST['user_wysiwyg']);
-
+		
 		$cur->user_options = new ArrayObject($user_options);
-
+		
 		# --BEHAVIOR-- adminBeforeUserOptionsUpdate
 		$core->callBehavior('adminBeforeUserOptionsUpdate',$cur,$core->auth->userID());
-
+		
 		# Update user prefs
 		$core->auth->user_prefs->accessibility->put('nodragdrop',!empty($_POST['user_acc_nodragdrop']),'boolean');
@@ -170,11 +170,11 @@
 		}
 		$core->auth->user_prefs->interface->put('media_by_page',(integer)$_POST['user_ui_media_by_page'],'integer');
-
+		
 		# Udate user
 		$core->updUser($core->auth->userID(),$cur);
-
+		
 		# --BEHAVIOR-- adminAfterUserOptionsUpdate
 		$core->callBehavior('adminAfterUserOptionsUpdate',$cur,$core->auth->userID());
-
+		
 		dcPage::addSuccessNotice(__('Personal options has been successfully updated.'));
 		http::redirect('preferences.php#user-options');
@@ -192,5 +192,5 @@
 		# --BEHAVIOR-- adminBeforeUserOptionsUpdate
 		$core->callBehavior('adminBeforeDashboardOptionsUpdate',$core->auth->userID());
-
+		
 		# Update user prefs
 		$core->auth->user_prefs->dashboard->put('doclinks',!empty($_POST['user_dm_doclinks']),'boolean');
@@ -199,8 +199,8 @@
 		$core->auth->user_prefs->interface->put('iconset',(!empty($_POST['user_ui_iconset']) ? $_POST['user_ui_iconset'] : ''));
 		$core->auth->user_prefs->interface->put('nofavmenu',empty($_POST['user_ui_nofavmenu']),'boolean');
-
+		
 		# --BEHAVIOR-- adminAfterUserOptionsUpdate
 		$core->callBehavior('adminAfterDashboardOptionsUpdate',$core->auth->userID());
-
+		
 		dcPage::addSuccessNotice(__('Dashboard options has been successfully updated.'));
 		http::redirect('preferences.php#user-favorites');
@@ -213,5 +213,5 @@
 
 # Add selected favorites
-if (!empty($_POST['appendaction']))
+if (!empty($_POST['appendaction'])) 
 {
 	try {
@@ -280,5 +280,5 @@
 			unset($order[$k]);
 		}
-	}
+	}	
 	$core->favs->setFavoriteIDs($order,false);
 	if (!$core->error->flag()) {
@@ -305,5 +305,4 @@
 	($user_acc_nodragdrop ? '' : dcPage::jsLoad('js/_preferences-dragdrop.js')).
 	dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
-	dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 	dcPage::jsLoad('js/jquery/jquery.pwstrength.js').
 		'<script type="text/javascript">'."\n".
@@ -321,5 +320,5 @@
 	dcPage::jsPageTabs($default_tab).
 	dcPage::jsConfirmClose('user-form').
-
+	
 	# --BEHAVIOR-- adminPreferencesHeaders
 	$core->callBehavior('adminPreferencesHeaders'),
@@ -387,5 +386,5 @@
 	echo
 	'<h4 class="vertical-separator pretty-title">'.__('Change my password').'</h4>'.
-
+	
 	'<div class="pw-table">'.
 	'<p class="pw-cell"><label for="new_pwd">'.__('New password:').'</label>'.
@@ -396,8 +395,8 @@
 	'</div>'.
 	'</div>'.
-
+	
 	'<p><label for="new_pwd_c">'.__('Confirm new password:').'</label>'.
 	form::password('new_pwd_c',20,255).'</p>'.
-
+	
 	'<p><label for="cur_pwd">'.__('Your current password:').'</label>'.
 	form::password('cur_pwd',20,255).'</p>'.
@@ -590,5 +589,5 @@
 
 if (count($iconsets_combo) > 1) {
-	echo
+	echo 
 		'<div class="fieldset">'.
 		'<h4>'.__('Dashboard icons').'</h4>'.
